Debian Bug report logs - #678519
after about a month, routing gets wedged

version graph

Package: aiccu; Maintainer for aiccu is Reinier Haasjes <reinier@haasjes.com>; Source for aiccu is src:aiccu.

Reported by: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>

Date: Fri, 22 Jun 2012 12:36:43 UTC

Severity: important

Tags: ipv6

Found in version aiccu/20070115-14

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#678519; Package general. (Fri, 22 Jun 2012 12:36:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rudy Zijlstra <rudy@grumpydevil.homelinux.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org. (Fri, 22 Jun 2012 12:36:52 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: after about 1 month of uptime, routing of IPv6 packets is no longer possible, and IPv4 routing becomes slow and unpredictable. Rebooting brings all functionality back, and back to speed. so far the best way for me to discover is to try a ping6, and reboot the firewall (this machine), when ping6 from the inner network fails.
Date: Fri, 22 Jun 2012 13:59:37 +0200
Package: general
Severity: important
Tags: ipv6

let system run with IPv4 & IPv6 routing for about 1 month
> IPv6 routing will start to fail
> IPv4 routing becomes slow and unpredictable

no obvious causes visible in the system. top and friends do not show a cpu hog

a reboot will bring the system back to normal behaviour. 

-- System Information:
Debian Release: 6.0.5
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#678519; Package general. (Fri, 22 Jun 2012 13:13:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Fri, 22 Jun 2012 13:13:17 GMT) Full text and rfc822 format available.

Message #10 received at 678519@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>, 678519@bugs.debian.org
Subject: Re: Bug#678519: general: after about 1 month of uptime, routing of IPv6 packets is no longer possible, and IPv4 routing becomes slow and unpredictable. Rebooting brings all functionality back, and back to speed. so far the best way for me to discover is to try a ping6, and reboot the firewall (this machine), when ping6 from the inner network fails.
Date: Fri, 22 Jun 2012 09:04:56 -0400
[Message part 1 (text/plain, inline)]
On Fri, Jun 22, 2012 at 01:59:37PM +0200, Rudy Zijlstra wrote:
> Package: general
> Severity: important
> Tags: ipv6
> 
> let system run with IPv4 & IPv6 routing for about 1 month
> > IPv6 routing will start to fail
> > IPv4 routing becomes slow and unpredictable
> 
> no obvious causes visible in the system. top and friends do not show a cpu hog
> 
> a reboot will bring the system back to normal behaviour. 
> 
Could this be something to do with connection tracking?

Regards,

-Roberto
-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#678519; Package general. (Fri, 22 Jun 2012 14:09:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rudy Zijlstra <rudy@grumpydevil.homelinux.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Fri, 22 Jun 2012 14:09:28 GMT) Full text and rfc822 format available.

Message #15 received at 678519@bugs.debian.org (full text, mbox):

From: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
To: 678519@bugs.debian.org
Subject: Re: Bug#678519: general: after about 1 month of uptime, routing of IPv6 packets is no longer possible, and IPv4 routing becomes slow and unpredictable. Rebooting brings all functionality back, and back to speed. so far the best way for me to discover is to try a ping6, and reboot the firewall (this machine), when ping6 from the inner network fails.
Date: Fri, 22 Jun 2012 15:12:28 +0200
On 22-06-12 15:04, Roberto C. Sánchez wrote:
> On Fri, Jun 22, 2012 at 01:59:37PM +0200, Rudy Zijlstra wrote:
>> Package: general
>> Severity: important
>> Tags: ipv6
>>
>> let system run with IPv4&  IPv6 routing for about 1 month
>>> IPv6 routing will start to fail
>>> IPv4 routing becomes slow and unpredictable
>> no obvious causes visible in the system. top and friends do not show a cpu hog
>>
>> a reboot will bring the system back to normal behaviour.
>>
> Could this be something to do with connection tracking?
>
> Regards,
>
> -Roberto
Both IPv4 and IPv6 are impacted, which have separate iptables. IPv6 
routing gets fully blocked, IPv4 goes slow and unpredictable.

How could i check any relation to connection tracking?

cheers,


Rudy




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#678519; Package general. (Fri, 22 Jun 2012 19:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Fri, 22 Jun 2012 19:42:08 GMT) Full text and rfc822 format available.

Message #20 received at 678519@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>, 678519@bugs.debian.org
Subject: Re: Bug#678519: general: after about 1 month of uptime, routing of IPv6 packets is no longer possible, and IPv4 routing becomes slow and unpredictable. Rebooting brings all functionality back, and back to speed. so far the best way for me to discover is to try a ping6, and reboot the firewall (this machine), when ping6 from the inner network fails.
Date: Fri, 22 Jun 2012 16:38:32 -0300
On Fri, 22 Jun 2012, Rudy Zijlstra wrote:
> let system run with IPv4 & IPv6 routing for about 1 month
> > IPv6 routing will start to fail
> > IPv4 routing becomes slow and unpredictable
> 
> no obvious causes visible in the system. top and friends do not show a cpu hog
> 
> a reboot will bring the system back to normal behaviour. 

Please use (as root) "ip neigh show", and "ip route list cache" to try to
track down any weird differences between the box when it is behaving
normally, and the box when wedged.  You may want to compare it to a healthy
box on the same network segment.

You can also try to see if "ip route flush cache" and "ip neigh flush" can
unwedge the system.  After a flush, "ip neigh show" and "ip route list
cache" should return very few, if any, entries.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#678519; Package general. (Sat, 23 Jun 2012 09:57:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rudy Zijlstra <rudy@grumpydevil.homelinux.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Sat, 23 Jun 2012 09:57:32 GMT) Full text and rfc822 format available.

Message #25 received at 678519@bugs.debian.org (full text, mbox):

From: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: 678519@bugs.debian.org
Subject: Re: Bug#678519: general: after about 1 month of uptime, routing of IPv6 packets is no longer possible, and IPv4 routing becomes slow and unpredictable. Rebooting brings all functionality back, and back to speed. so far the best way for me to discover is to try a ping6, and reboot the firewall (this machine), when ping6 from the inner network fails.
Date: Sat, 23 Jun 2012 11:25:55 +0200
On 22-06-12 21:38, Henrique de Moraes Holschuh wrote:
> On Fri, 22 Jun 2012, Rudy Zijlstra wrote:
>> let system run with IPv4&  IPv6 routing for about 1 month
>>> IPv6 routing will start to fail
>>> IPv4 routing becomes slow and unpredictable
>> no obvious causes visible in the system. top and friends do not show a cpu hog
>>
>> a reboot will bring the system back to normal behaviour.
> Please use (as root) "ip neigh show", and "ip route list cache" to try to
> track down any weird differences between the box when it is behaving
> normally, and the box when wedged.  You may want to compare it to a healthy
> box on the same network segment.
>
> You can also try to see if "ip route flush cache" and "ip neigh flush" can
> unwedge the system.  After a flush, "ip neigh show" and "ip route list
> cache" should return very few, if any, entries.
>
Thanks, i've stored the current output of these commands, including the 
IPv6 version, so i can compare when trouble hits again in some weeks.




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#678519; Package general. (Sat, 23 Jun 2012 12:54:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Sat, 23 Jun 2012 12:54:17 GMT) Full text and rfc822 format available.

Message #30 received at 678519@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
Cc: 678519@bugs.debian.org
Subject: Re: Bug#678519: general: after about 1 month of uptime, routing of IPv6 packets is no longer possible, and IPv4 routing becomes slow and unpredictable. Rebooting brings all functionality back, and back to speed. so far the best way for me to discover is to try a ping6, and reboot the firewall (this machine), when ping6 from the inner network fails.
Date: Sat, 23 Jun 2012 09:53:11 -0300
On Sat, 23 Jun 2012, Rudy Zijlstra wrote:
> On 22-06-12 21:38, Henrique de Moraes Holschuh wrote:
> >On Fri, 22 Jun 2012, Rudy Zijlstra wrote:
> >>let system run with IPv4&  IPv6 routing for about 1 month
> >>>IPv6 routing will start to fail
> >>>IPv4 routing becomes slow and unpredictable
> >>no obvious causes visible in the system. top and friends do not show a cpu hog
> >>
> >>a reboot will bring the system back to normal behaviour.
> >Please use (as root) "ip neigh show", and "ip route list cache" to try to
> >track down any weird differences between the box when it is behaving
> >normally, and the box when wedged.  You may want to compare it to a healthy
> >box on the same network segment.
> >
> >You can also try to see if "ip route flush cache" and "ip neigh flush" can
> >unwedge the system.  After a flush, "ip neigh show" and "ip route list
> >cache" should return very few, if any, entries.
> >
> Thanks, i've stored the current output of these commands, including
> the IPv6 version, so i can compare when trouble hits again in some
> weeks.

You probably want to store their output once a day.  If it is a
neighbour/route cache leak or malfunction of some sort (e.g. routes getting
stuck in the presence of ICMP redirects), you should be able to notice that
old crap is accumulating over time.

If possible, do the same in a box that does not show the same problem
(ideally in the same network segment), so that you have a baseline to
compare to.

Note that it could be something else entirely, don't rule out hardware
malfunction (sometimes cleared if you down the interfaces and then bring
them up again), or driver issues (sometimes cleared if you rmmod + modprobe
the buggy driver).  And make sure the box is running the latest firmware
(BIOS/UEFI, NIC firmware...).

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#678519; Package general. (Sat, 23 Jun 2012 14:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rudy Zijlstra <rudy@grumpydevil.homelinux.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Sat, 23 Jun 2012 14:18:03 GMT) Full text and rfc822 format available.

Message #35 received at 678519@bugs.debian.org (full text, mbox):

From: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: 678519@bugs.debian.org
Subject: Re: Bug#678519: general: after about 1 month of uptime, routing of IPv6 packets is no longer possible, and IPv4 routing becomes slow and unpredictable. Rebooting brings all functionality back, and back to speed. so far the best way for me to discover is to try a ping6, and reboot the firewall (this machine), when ping6 from the inner network fails.
Date: Sat, 23 Jun 2012 16:14:21 +0200
On 23-06-12 14:53, Henrique de Moraes Holschuh wrote:
> On Sat, 23 Jun 2012, Rudy Zijlstra wrote:
>> On 22-06-12 21:38, Henrique de Moraes Holschuh wrote:
>>> On Fri, 22 Jun 2012, Rudy Zijlstra wrote:
>>>> let system run with IPv4&   IPv6 routing for about 1 month
>>>>> IPv6 routing will start to fail
>>>>> IPv4 routing becomes slow and unpredictable
>>>> no obvious causes visible in the system. top and friends do not show a cpu hog
>>>>
>>>> a reboot will bring the system back to normal behaviour.
>>> Please use (as root) "ip neigh show", and "ip route list cache" to try to
>>> track down any weird differences between the box when it is behaving
>>> normally, and the box when wedged.  You may want to compare it to a healthy
>>> box on the same network segment.
>>>
>>> You can also try to see if "ip route flush cache" and "ip neigh flush" can
>>> unwedge the system.  After a flush, "ip neigh show" and "ip route list
>>> cache" should return very few, if any, entries.
>>>
>> Thanks, i've stored the current output of these commands, including
>> the IPv6 version, so i can compare when trouble hits again in some
>> weeks.
> You probably want to store their output once a day.  If it is a
> neighbour/route cache leak or malfunction of some sort (e.g. routes getting
> stuck in the presence of ICMP redirects), you should be able to notice that
> old crap is accumulating over time.
>
> If possible, do the same in a box that does not show the same problem
> (ideally in the same network segment), so that you have a baseline to
> compare to.
>
> Note that it could be something else entirely, don't rule out hardware
> malfunction (sometimes cleared if you down the interfaces and then bring
> them up again), or driver issues (sometimes cleared if you rmmod + modprobe
> the buggy driver).  And make sure the box is running the latest firmware
> (BIOS/UEFI, NIC firmware...).
>
i'll script the commands from cron.daily. To compare with similar box is 
kind of difficult. I run only a single firewall
And although i have several squeeze boxes active, this is the only one 
showing this problem

NIC firmware is on the latest on condition that Squeeze has the latest. 
I do expect that though, as is it pretty old HW. Fully capable of 
firewall though.




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#678519; Package general. (Mon, 25 Jun 2012 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Mon, 25 Jun 2012 02:27:03 GMT) Full text and rfc822 format available.

Message #40 received at 678519@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>, 678519@bugs.debian.org, base@packages.debian.org
Subject: Re: general: after about 1 month of uptime, routing of IPv6 packets is no longer possible, and IPv4 routing becomes slow and unpredictable. Rebooting brings all functionality back, and back to speed. so far the best way for me to discover is to try a ping6, and reboot the firewall (this machine), when ping6 from the inner network fails.
Date: Sun, 24 Jun 2012 21:23:42 -0500
retitle 678519 after about a month, routing gets wedged
# not a general problem affecting a large portion of the archive
reassign 678519 base
tags 678519 + squeeze
quit

Hi Henrique,

Henrique de Moraes Holschuh wrote:
> On Fri, 22 Jun 2012, Rudy Zijlstra wrote:

>> let system run with IPv4 & IPv6 routing for about 1 month
>>> IPv6 routing will start to fail
>>> IPv4 routing becomes slow and unpredictable
>>
>> no obvious causes visible in the system. top and friends do not show a cpu hog
>>
>> a reboot will bring the system back to normal behaviour. 
>
> Please use (as root) "ip neigh show", and "ip route list cache" to try to
> track down any weird differences between the box when it is behaving
> normally, and the box when wedged.  You may want to compare it to a healthy
> box on the same network segment.

Thanks for starting to track this down.  Any idea which package might
be responsible?

Rudy, is this a regression, or has this system always behaved this
way?  How many times has it happened?  How reliable is the 1 month
gestation time?  When did it start?

Thanks,
Jonathan




Changed Bug title to 'after about a month, routing gets wedged' from 'general: after about 1 month of uptime, routing of IPv6 packets is no longer possible, and IPv4 routing becomes slow and unpredictable. Rebooting brings all functionality back, and back to speed. so far the best way for me to discover is to try a ping6, and reboot the firewall (this machine), when ping6 from the inner network fails.' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 25 Jun 2012 02:27:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'general' to 'base'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 25 Jun 2012 02:27:06 GMT) Full text and rfc822 format available.

Added tag(s) squeeze. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 25 Jun 2012 02:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Base Maintainers <virtual-pkg-base-maintainers@lists.alioth.debian.org>:
Bug#678519; Package base. (Mon, 25 Jun 2012 02:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Base Maintainers <virtual-pkg-base-maintainers@lists.alioth.debian.org>. (Mon, 25 Jun 2012 02:36:03 GMT) Full text and rfc822 format available.

Message #51 received at 678519@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 678519@bugs.debian.org
Cc: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>, base@packages.debian.org
Subject: Re: Bug#678519: general: after about 1 month of uptime, routing of IPv6 packets is no longer possible, and IPv4 routing becomes slow and unpredictable. Rebooting brings all functionality back, and back to speed. so far the best way for me to discover is to try a ping6, and reboot the firewall (this machine), when ping6 from the inner network fails.
Date: Sun, 24 Jun 2012 23:33:01 -0300
On Sun, 24 Jun 2012, Jonathan Nieder wrote:
> Thanks for starting to track this down.  Any idea which package might
> be responsible?

It is probably the kernel.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, Base Maintainers <virtual-pkg-base-maintainers@lists.alioth.debian.org>:
Bug#678519; Package base. (Mon, 25 Jun 2012 02:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Base Maintainers <virtual-pkg-base-maintainers@lists.alioth.debian.org>. (Mon, 25 Jun 2012 02:48:03 GMT) Full text and rfc822 format available.

Message #56 received at 678519@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: 678519@bugs.debian.org, Rudy Zijlstra <rudy@grumpydevil.homelinux.org>, linux-2.6@packages.debian.org
Subject: Re: [squeeze] after about a month, routing gets wedged (Re: general: after ...)
Date: Sun, 24 Jun 2012 21:45:47 -0500
# is this a regression?
tags 678519 + moreinfo
# guessing
reassign 678519 src:linux-2.6 2.6.32-45
# letting version tracking do its work
tags 678519 - squeeze
quit

Henrique de Moraes Holschuh wrote:
> On Sun, 24 Jun 2012, Jonathan Nieder wrote:

>> Thanks for starting to track this down.  Any idea which package might
>> be responsible?
>
> It is probably the kernel.

Great, thanks.  Marking so.




Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 25 Jun 2012 02:48:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'base' to 'src:linux-2.6'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 25 Jun 2012 02:48:05 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/2.6.32-45. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 25 Jun 2012 02:48:06 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 25 Jun 2012 02:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#678519; Package src:linux-2.6. (Sat, 07 Jul 2012 20:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 07 Jul 2012 20:03:06 GMT) Full text and rfc822 format available.

Message #69 received at 678519@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
Cc: Henrique de Moraes Holschuh <hmh@debian.org>, 678519@bugs.debian.org
Subject: Re: after about a month, routing gets wedged
Date: Sat, 7 Jul 2012 14:57:52 -0500
Jonathan Nieder wrote:

> Rudy, is this a regression, or has this system always behaved this
> way?  How many times has it happened?  How reliable is the 1 month
> gestation time?  When did it start?

Ping.  Do you still have access to this machine?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#678519; Package src:linux-2.6. (Sun, 08 Jul 2012 00:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rudy Zijlstra <rudy@grumpydevil.homelinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 08 Jul 2012 00:48:06 GMT) Full text and rfc822 format available.

Message #74 received at 678519@bugs.debian.org (full text, mbox):

From: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Henrique de Moraes Holschuh <hmh@debian.org>, 678519@bugs.debian.org
Subject: Re: after about a month, routing gets wedged
Date: Sun, 08 Jul 2012 02:45:35 +0200
On 07-07-12 21:57, Jonathan Nieder wrote:
> Jonathan Nieder wrote:
>
>> Rudy, is this a regression, or has this system always behaved this
>> way?  How many times has it happened?  How reliable is the 1 month
>> gestation time?  When did it start?
> Ping.  Do you still have access to this machine?
Still using it. Its my firewall. Sorry for missing the questions. With 
the combination of top/bottom posting i had missed the bottom part.

Your questions:
1/ always behaved this way
Not certain. I installed it, then there were a number of changes that 
also had impact on the firewall, which caused some reboots (like 
changing to new version of squid3 iso squid2). Strictly not needed to 
reboot, but after major changes i always test whether the sytem comes 
back correctly from reboot. I also had some squeeze kernel updates, 
which do need a reboot.

2/ how many times?
at least twice. Its well possible that earlier cases were  masked by 
reboots from other reasons. And it has taken me some time before i 
linked particular slow network behaviour to a firewall problem

3/ how stable is the 1 month gestation time?
no certainty on this one. After the last time i had confirmation this 
was a firewall problem, and had confirmation for 2x. thinking back the 
timespan between the 2 certain occasions is 3 - 4 weeks. But i did not 
keep a record.

4/ When did it start
Do not know. See above

cheers,


Rudy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#678519; Package src:linux-2.6. (Sun, 08 Jul 2012 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 08 Jul 2012 01:06:03 GMT) Full text and rfc822 format available.

Message #79 received at 678519@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
Cc: Henrique de Moraes Holschuh <hmh@debian.org>, 678519@bugs.debian.org
Subject: Re: after about a month, routing gets wedged
Date: Sat, 7 Jul 2012 20:02:39 -0500
Rudy Zijlstra wrote:

> Still using it. Its my firewall. Sorry for missing the questions.

Yes, sorry about the clutter in my message.

[...]
> 1/ always behaved this way
> Not certain.
[...]
> 2/ how many times?
> at least twice. Its well possible that earlier cases were  masked by
> reboots from other reasons. And it has taken me some time before i
> linked particular slow network behaviour to a firewall problem
>
> 3/ how stable is the 1 month gestation time?
> no certainty on this one.

Ok.  In case you're wondering where these questions come from: it is
an attempt to find what variable changed to introduce the bug.  If
your system always behaved this way, it would mean something very
different than if it started happening when upgrading from lenny to
squeeze, for example.

I'll leave the rest of the investigation to people more knowledgeable
about networking.  For now, please attach

 - full output from "dmesg" after a normal boot
 - output from "reportbug --template linux-image-$(uname -r)", so we
   can get to know your hardware.

Thanks again and sorry for the trouble,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#678519; Package src:linux-2.6. (Sun, 08 Jul 2012 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rudy Zijlstra <rudy@grumpydevil.homelinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 08 Jul 2012 11:09:11 GMT) Full text and rfc822 format available.

Message #84 received at 678519@bugs.debian.org (full text, mbox):

From: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Henrique de Moraes Holschuh <hmh@debian.org>, 678519@bugs.debian.org
Subject: Re: after about a month, routing gets wedged
Date: Sun, 08 Jul 2012 13:06:20 +0200
On 08-07-12 03:02, Jonathan Nieder wrote:
> Ok. In case you're wondering where these questions come from: it is an 
> attempt to find what variable changed to introduce the bug. If your 
> system always behaved this way, it would mean something very different 
> than if it started happening when upgrading from lenny to squeeze, for 
> example. I'll leave the rest of the investigation to people more 
> knowledgeable about networking. For now, please attach - full output 
> from "dmesg" after a normal boot - output from "reportbug --template 
> linux-image-$(uname -r)", so we can get to know your hardware. Thanks 
> again and sorry for the trouble, Jonathan 

I was running lenny before, but installed new firewall on later version 
of the HW so i would have a fall-back in-case

dmesg from last boot:

Jun 22 13:34:16 janus syslog-ng[1162]: Syslog connection established; 
fd='9', server='AF_INET(192.168.1.1:514)', local='AF_INET(0.0.0.0:0)'
Jun 22 13:34:16 janus kernel: [ 0.000000] Initializing cgroup subsys cpuset
Jun 22 13:34:16 janus kernel: [ 0.000000] Initializing cgroup subsys cpu
Jun 22 13:34:16 janus kernel: [ 0.000000] Linux version 2.6.32-5-686 
(Debian 2.6.32-45) (dannf@debian.org) (gcc version 4.3.5 (Debian 
4.3.5-4) ) #1 SMP Sun May 6 04:01:19 UTC 2012
Jun 22 13:34:16 janus kernel: [ 0.000000] KERNEL supported cpus:
Jun 22 13:34:16 janus kernel: [ 0.000000] Intel GenuineIntel
Jun 22 13:34:16 janus kernel: [ 0.000000] AMD AuthenticAMD
Jun 22 13:34:16 janus kernel: [ 0.000000] NSC Geode by NSC
Jun 22 13:34:16 janus kernel: [ 0.000000] Cyrix CyrixInstead
Jun 22 13:34:16 janus kernel: [ 0.000000] Centaur CentaurHauls
Jun 22 13:34:16 janus kernel: [ 0.000000] Transmeta GenuineTMx86
Jun 22 13:34:16 janus syslog-ng[1162]: syslog-ng starting up; 
version='3.1.3'
Jun 22 13:34:16 janus kernel: [ 0.000000] Transmeta TransmetaCPU
Jun 22 13:34:16 janus kernel: [ 0.000000] UMC UMC UMC UMC
Jun 22 13:34:16 janus kernel: [ 0.000000] BIOS-provided physical RAM map:
Jun 22 13:34:16 janus kernel: [ 0.000000] BIOS-e820: 0000000000000000 - 
000000000009f400 (usable)
Jun 22 13:34:16 janus kernel: [ 0.000000] BIOS-e820: 000000000009f400 - 
00000000000a0000 (reserved)
Jun 22 13:34:16 janus kernel: [ 0.000000] BIOS-e820: 00000000000f0000 - 
0000000000100000 (reserved)
Jun 22 13:34:16 janus kernel: [ 0.000000] BIOS-e820: 0000000000100000 - 
000000001fffb000 (usable)
Jun 22 13:34:16 janus kernel: [ 0.000000] BIOS-e820: 000000001fffb000 - 
0000000020000000 (ACPI data)
Jun 22 13:34:16 janus kernel: [ 0.000000] BIOS-e820: 00000000fec00000 - 
00000000fec10000 (reserved)
Jun 22 13:34:16 janus kernel: [ 0.000000] BIOS-e820: 00000000fee00000 - 
00000000fee10000 (reserved)
Jun 22 13:34:16 janus kernel: [ 0.000000] BIOS-e820: 00000000ffc00000 - 
0000000100000000 (reserved)
Jun 22 13:34:16 janus kernel: [ 0.000000] DMI 2.3 present.
Jun 22 13:34:16 janus kernel: [ 0.000000] last_pfn = 0x1fffb 
max_arch_pfn = 0x100000
Jun 22 13:34:16 janus kernel: [ 0.000000] PAT not supported by CPU.
Jun 22 13:34:16 janus kernel: [ 0.000000] init_memory_mapping: 
0000000000000000-000000001fffb000
Jun 22 13:34:16 janus kernel: [ 0.000000] RAMDISK: 177d7000 - 1803c152
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: RSDP 000f4f70 00014 (v00 
COMPAQ)
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: RSDT 1fffb000 00030 (v01 
COMPAQ P26 00000002 �? 0000162E)
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: FACP 1fffb040 00074 (v01 
COMPAQ P26 00000002 �? 0000162E)
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI Warning: Invalid length 
for Pm1aControlBlock: 32, using default 16 (20090903/tbfadt-607)
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI Warning: Invalid length 
for Pm1bControlBlock: 32, using default 16 (20090903/tbfadt-607)
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: DSDT 1fffb200 02ADB (v01 
COMPAQ DSDT 00000001 MSFT 0100000B)
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: FACS 1fffb0c0 00040
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: APIC 1fffb100 00074 (v01 
COMPAQ 00000083 00000002 00000000)
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: SPCR 1fffb180 00050 (v01 
COMPAQ SPCRRBSU 00000001 �? 0000162E)
Jun 22 13:34:16 janus kernel: [ 0.000000] 0MB HIGHMEM available.
Jun 22 13:34:16 janus kernel: [ 0.000000] 511MB LOWMEM available.
Jun 22 13:34:16 janus kernel: [ 0.000000] mapped low ram: 0 - 1fffb000
Jun 22 13:34:16 janus kernel: [ 0.000000] low ram: 0 - 1fffb000
Jun 22 13:34:16 janus kernel: [ 0.000000] node 0 low ram: 00000000 - 
1fffb000
Jun 22 13:34:16 janus kernel: [ 0.000000] node 0 bootmap 00002000 - 00006000
Jun 22 13:34:16 janus kernel: [ 0.000000] (9 early reservations) ==> 
bootmem [0000000000 - 001fffb000]
Jun 22 13:34:16 janus kernel: [ 0.000000] #0 [0000000000 - 0000001000] 
BIOS data page ==> [0000000000 - 0000001000]
Jun 22 13:34:16 janus kernel: [ 0.000000] #1 [0000001000 - 0000002000] 
EX TRAMPOLINE ==> [0000001000 - 0000002000]
Jun 22 13:34:16 janus kernel: [ 0.000000] #2 [0000006000 - 0000007000] 
TRAMPOLINE ==> [0000006000 - 0000007000]
Jun 22 13:34:16 janus kernel: [ 0.000000] #3 [0001000000 - 00014ccd2c] 
TEXT DATA BSS ==> [0001000000 - 00014ccd2c]
Jun 22 13:34:16 janus kernel: [ 0.000000] #4 [00177d7000 - 001803c152] 
RAMDISK ==> [00177d7000 - 001803c152]
Jun 22 13:34:16 janus kernel: [ 0.000000] #5 [000009f400 - 0000100000] 
BIOS reserved ==> [000009f400 - 0000100000]
Jun 22 13:34:16 janus kernel: [ 0.000000] #6 [00014cd000 - 00014d3095] 
BRK ==> [00014cd000 - 00014d3095]
Jun 22 13:34:16 janus kernel: [ 0.000000] #7 [0000007000 - 0000009000] 
PGTABLE ==> [0000007000 - 0000009000]
Jun 22 13:34:16 janus kernel: [ 0.000000] #8 [0000002000 - 0000006000] 
BOOTMAP ==> [0000002000 - 0000006000]
Jun 22 13:34:16 janus kernel: [ 0.000000] found SMP MP-table at 
[c00f4fd0] f4fd0
Jun 22 13:34:16 janus kernel: [ 0.000000] Zone PFN ranges:
Jun 22 13:34:16 janus kernel: [ 0.000000] DMA 0x00000000 -> 0x00001000
Jun 22 13:34:16 janus kernel: [ 0.000000] Normal 0x00001000 -> 0x0001fffb
Jun 22 13:34:16 janus kernel: [ 0.000000] HighMem 0x0001fffb -> 0x0001fffb
Jun 22 13:34:16 janus kernel: [ 0.000000] Movable zone start PFN for 
each node
Jun 22 13:34:16 janus kernel: [ 0.000000] early_node_map[2] active PFN 
ranges
Jun 22 13:34:16 janus kernel: [ 0.000000] 0: 0x00000000 -> 0x0000009f
Jun 22 13:34:16 janus kernel: [ 0.000000] 0: 0x00000100 -> 0x0001fffb
Jun 22 13:34:16 janus kernel: [ 0.000000] Using APIC driver default
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: PM-Timer IO Port: 0x920
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: LAPIC (acpi_id[0x00] 
lapic_id[0x00] enabled)
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: LAPIC (acpi_id[0x01] 
lapic_id[0x01] disabled)
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: LAPIC (acpi_id[0x02] 
lapic_id[0x02] disabled)
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: LAPIC (acpi_id[0x03] 
lapic_id[0x03] enabled)
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: LAPIC_NMI (acpi_id[0xff] 
dfl dfl lint[0x1])
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: IOAPIC (id[0x08] 
address[0xfec00000] gsi_base[0])
Jun 22 13:34:16 janus kernel: [ 0.000000] IOAPIC[0]: apic_id 8, version 
17, address 0xfec00000, GSI 0-15
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: IOAPIC (id[0x02] 
address[0xfec01000] gsi_base[16])
Jun 22 13:34:16 janus kernel: [ 0.000000] IOAPIC[1]: apic_id 2, version 
17, address 0xfec01000, GSI 16-31
Jun 22 13:34:16 janus kernel: [ 0.000000] ACPI: INT_SRC_OVR (bus 0 
bus_irq 0 global_irq 2 high edge)
Jun 22 13:34:16 janus kernel: [ 0.000000] Using ACPI (MADT) for SMP 
configuration information
Jun 22 13:34:16 janus kernel: [ 0.000000] SMP: Allowing 4 CPUs, 2 
hotplug CPUs
Jun 22 13:34:16 janus kernel: [ 0.000000] PM: Registered nosave memory: 
000000000009f000 - 00000000000a0000
Jun 22 13:34:16 janus kernel: [ 0.000000] PM: Registered nosave memory: 
00000000000a0000 - 00000000000f0000
Jun 22 13:34:16 janus kernel: [ 0.000000] PM: Registered nosave memory: 
00000000000f0000 - 0000000000100000
Jun 22 13:34:16 janus kernel: [ 0.000000] Allocating PCI resources 
starting at 20000000 (gap: 20000000:dec00000)
Jun 22 13:34:16 janus kernel: [ 0.000000] Booting paravirtualized kernel 
on bare hardware
Jun 22 13:34:16 janus kernel: [ 0.000000] NR_CPUS:32 nr_cpumask_bits:32 
nr_cpu_ids:4 nr_node_ids:1
Jun 22 13:34:16 janus kernel: [ 0.000000] PERCPU: Embedded 14 pages/cpu 
@c1c00000 s34328 r0 d23016 u1048576
Jun 22 13:34:16 janus kernel: [ 0.000000] pcpu-alloc: s34328 r0 d23016 
u1048576 alloc=1*4194304
Jun 22 13:34:16 janus kernel: [ 0.000000] pcpu-alloc: [0] 0 1 2 3
Jun 22 13:34:16 janus kernel: [ 0.000000] Built 1 zonelists in Zone 
order, mobility grouping on. Total pages: 129946
Jun 22 13:34:16 janus kernel: [ 0.000000] Kernel command line: 
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686 
root=UUID=232b4f18-d38b-4d57-ac80-b17d449b52fd ro console=tty0 
console=ttyS0,115200n8 quiet
Jun 22 13:34:16 janus kernel: [ 0.000000] PID hash table entries: 2048 
(order: 1, 8192 bytes)
Jun 22 13:34:16 janus kernel: [ 0.000000] Dentry cache hash table 
entries: 65536 (order: 6, 262144 bytes)
Jun 22 13:34:16 janus kernel: [ 0.000000] Inode-cache hash table 
entries: 32768 (order: 5, 131072 bytes)
Jun 22 13:34:16 janus kernel: [ 0.000000] Enabling fast FPU save and 
restore... done.
Jun 22 13:34:16 janus kernel: [ 0.000000] Enabling unmasked SIMD FPU 
exception support... done.
Jun 22 13:34:16 janus kernel: [ 0.000000] Initializing CPU#0
Jun 22 13:34:16 janus kernel: [ 0.000000] Initializing HighMem for node 
0 (00000000:00000000)
Jun 22 13:34:16 janus kernel: [ 0.000000] Memory: 505048k/524268k 
available (2506k kernel code, 18312k reserved, 1326k data, 380k init, 0k 
highmem)
Jun 22 13:34:16 janus kernel: [ 0.000000] virtual kernel memory layout:
Jun 22 13:34:16 janus kernel: [ 0.000000] fixmap : 0xffd56000 - 
0xfffff000 (2724 kB)
Jun 22 13:34:16 janus kernel: [ 0.000000] pkmap : 0xff400000 - 
0xff800000 (4096 kB)
Jun 22 13:34:16 janus kernel: [ 0.000000] vmalloc : 0xe07fb000 - 
0xff3fe000 ( 492 MB)
Jun 22 13:34:16 janus kernel: [ 0.000000] lowmem : 0xc0000000 - 
0xdfffb000 ( 511 MB)
Jun 22 13:34:16 janus kernel: [ 0.000000] .init : 0xc13bf000 - 
0xc141e000 ( 380 kB)
Jun 22 13:34:16 janus kernel: [ 0.000000] .data : 0xc1272b8b - 
0xc13be4c4 (1326 kB)
Jun 22 13:34:16 janus kernel: [ 0.000000] .text : 0xc1000000 - 
0xc1272b8b (2506 kB)
Jun 22 13:34:16 janus kernel: [ 0.000000] Checking if this processor 
honours the WP bit even in supervisor mode...Ok.
Jun 22 13:34:16 janus kernel: [ 0.000000] SLUB: Genslabs=13, HWalign=32, 
Order=0-3, MinObjects=0, CPUs=4, Nodes=1
Jun 22 13:34:16 janus kernel: [ 0.000000] Hierarchical RCU implementation.
Jun 22 13:34:16 janus kernel: [ 0.000000] NR_IRQS:1280
Jun 22 13:34:16 janus kernel: [ 0.000000] Console: colour VGA+ 80x25
Jun 22 13:34:16 janus kernel: [ 0.000000] console [tty0] enabled
Jun 22 13:34:16 janus kernel: [ 0.000000] console [ttyS0] enabled
Jun 22 13:34:16 janus kernel: [ 0.000000] Fast TSC calibration using PIT
Jun 22 13:34:16 janus kernel: [ 0.000000] Detected 1396.312 MHz processor.
Jun 22 13:34:16 janus kernel: [ 0.008008] Calibrating delay loop 
(skipped), value calculated using timer frequency.. 2792.62 BogoMIPS 
(lpj=5585248)
Jun 22 13:34:16 janus kernel: [ 0.008038] Security Framework initialized
Jun 22 13:34:16 janus kernel: [ 0.008050] SELinux: Disabled at boot.
Jun 22 13:34:16 janus kernel: [ 0.008063] Mount-cache hash table 
entries: 512
Jun 22 13:34:16 janus kernel: [ 0.008307] Initializing cgroup subsys ns
Jun 22 13:34:16 janus kernel: [ 0.008314] Initializing cgroup subsys cpuacct
Jun 22 13:34:16 janus kernel: [ 0.008322] Initializing cgroup subsys devices
Jun 22 13:34:16 janus kernel: [ 0.008327] Initializing cgroup subsys freezer
Jun 22 13:34:16 janus kernel: [ 0.008331] Initializing cgroup subsys net_cls
Jun 22 13:34:16 janus kernel: [ 0.008376] CPU: L1 I cache: 16K, L1 D 
cache: 16K
Jun 22 13:34:16 janus kernel: [ 0.008380] CPU: L2 cache: 512K
Jun 22 13:34:16 janus kernel: [ 0.008388] mce: CPU supports 5 MCE banks
Jun 22 13:34:16 janus kernel: [ 0.008414] Performance Events: p6 PMU driver.
Jun 22 13:34:16 janus kernel: [ 0.008426] ... version: 0
Jun 22 13:34:16 janus kernel: [ 0.008430] ... bit width: 32
Jun 22 13:34:16 janus kernel: [ 0.008433] ... generic registers: 2
Jun 22 13:34:16 janus kernel: [ 0.008436] ... value mask: 00000000ffffffff
Jun 22 13:34:16 janus kernel: [ 0.008439] ... max period: 000000007fffffff
Jun 22 13:34:16 janus kernel: [ 0.008443] ... fixed-purpose events: 0
Jun 22 13:34:16 janus kernel: [ 0.008446] ... event mask: 0000000000000003
Jun 22 13:34:16 janus kernel: [ 0.008453] Checking 'hlt' instruction... OK.
Jun 22 13:34:16 janus kernel: [ 0.025848] ACPI: Core revision 20090903
Jun 22 13:34:16 janus kernel: [ 0.032139] Enabling APIC mode: Flat. 
Using 2 I/O APICs
Jun 22 13:34:16 janus kernel: [ 0.032759] ..TIMER: vector=0x30 apic1=0 
pin1=2 apic2=-1 pin2=-1
Jun 22 13:34:16 janus kernel: [ 0.074928] CPU0: Intel(R) Pentium(R) III 
CPU family 1400MHz stepping 01
Jun 22 13:34:16 janus kernel: [ 0.076001] Booting processor 1 APIC 0x3 
ip 0x6000
Jun 22 13:34:16 janus kernel: [ 0.012000] Initializing CPU#1
Jun 22 13:34:16 janus kernel: [ 0.012000] CPU: L1 I cache: 16K, L1 D 
cache: 16K
Jun 22 13:34:16 janus kernel: [ 0.012000] CPU: L2 cache: 512K
Jun 22 13:34:16 janus kernel: [ 0.160110] CPU1: Intel(R) Pentium(R) III 
CPU - S 1400MHz stepping 04
Jun 22 13:34:16 janus kernel: [ 0.160124] checking TSC synchronization 
[CPU#0 -> CPU#1]: passed.
Jun 22 13:34:16 janus kernel: [ 0.164147] Brought up 2 CPUs
Jun 22 13:34:16 janus kernel: [ 0.164153] Total of 2 processors 
activated (5585.70 BogoMIPS).
Jun 22 13:34:16 janus kernel: [ 0.165510] devtmpfs: initialized
Jun 22 13:34:16 janus kernel: [ 0.165510] regulator: core version 0.5
Jun 22 13:34:16 janus kernel: [ 0.165510] NET: Registered protocol family 16
Jun 22 13:34:16 janus kernel: [ 0.165510] ACPI: bus type pci registered
Jun 22 13:34:16 janus kernel: [ 0.179073] PCI: PCI BIOS revision 2.10 
entry at 0xf0094, last bus=10
Jun 22 13:34:16 janus kernel: [ 0.179077] PCI: Using configuration type 
1 for base access
Jun 22 13:34:16 janus kernel: [ 0.179115] mtrr: your CPUs had 
inconsistent fixed MTRR settings
Jun 22 13:34:16 janus kernel: [ 0.179119] mtrr: probably your BIOS does 
not setup all CPUs.
Jun 22 13:34:16 janus kernel: [ 0.179122] mtrr: corrected configuration.
Jun 22 13:34:16 janus kernel: [ 0.179671] bio: create slab <bio-0> at 0
Jun 22 13:34:16 janus kernel: [ 0.186130] ACPI: Interpreter enabled
Jun 22 13:34:16 janus kernel: [ 0.186135] ACPI: (supports S0 S4 S5)
Jun 22 13:34:16 janus kernel: [ 0.186164] ACPI: Using IOAPIC for 
interrupt routing
Jun 22 13:34:16 janus kernel: [ 0.190977] ACPI: No dock devices found.
Jun 22 13:34:16 janus kernel: [ 0.191588] ACPI: PCI Root Bridge [PCI0] 
(0000:00)
Jun 22 13:34:16 janus kernel: [ 0.192028] pci 0000:00:05.2: PME# 
supported from D0 D3hot D3cold
Jun 22 13:34:16 janus kernel: [ 0.192035] pci 0000:00:05.2: PME# disabled
Jun 22 13:34:16 janus kernel: [ 0.194501] ACPI: PCI Root Bridge [PCI1] 
(0000:01)
Jun 22 13:34:16 janus kernel: [ 0.194760] pci 0000:01:05.0: PME# 
supported from D3hot D3cold
Jun 22 13:34:16 janus kernel: [ 0.194765] pci 0000:01:05.0: PME# disabled
Jun 22 13:34:16 janus kernel: [ 0.194870] pci 0000:01:06.0: PME# 
supported from D3hot D3cold
Jun 22 13:34:16 janus kernel: [ 0.194876] pci 0000:01:06.0: PME# disabled
Jun 22 13:34:16 janus kernel: [ 0.195658] ACPI: PCI Root Bridge [PCI2] 
(0000:07)
Jun 22 13:34:16 janus kernel: [ 0.195797] pci 0000:07:05.0: PME# 
supported from D0 D3hot D3cold
Jun 22 13:34:16 janus kernel: [ 0.195803] pci 0000:07:05.0: PME# disabled
Jun 22 13:34:16 janus kernel: [ 0.195902] pci 0000:07:05.1: PME# 
supported from D0 D3hot D3cold
Jun 22 13:34:16 janus kernel: [ 0.195907] pci 0000:07:05.1: PME# disabled
Jun 22 13:34:16 janus kernel: [ 0.196350] ACPI: PCI Interrupt Link 
[IUSB] (IRQs 4 5 *7 10 11 15)
Jun 22 13:34:16 janus kernel: [ 0.196544] ACPI: PCI Interrupt Link 
[IN22] (IRQs 4 5 7 10 11 *15)
Jun 22 13:34:16 janus kernel: [ 0.196737] ACPI: PCI Interrupt Link 
[IN23] (IRQs 4 5 7 10 11 15) *3
Jun 22 13:34:16 janus kernel: [ 0.196931] ACPI: PCI Interrupt Link 
[IN24] (IRQs 4 5 *7 10 11 15)
Jun 22 13:34:16 janus kernel: [ 0.197125] ACPI: PCI Interrupt Link 
[IN25] (IRQs 4 5 7 10 11 15) *0, disabled.
Jun 22 13:34:16 janus kernel: [ 0.197320] ACPI: PCI Interrupt Link 
[IN26] (IRQs 4 5 7 10 11 15) *0, disabled.
Jun 22 13:34:16 janus kernel: [ 0.197515] ACPI: PCI Interrupt Link 
[IN27] (IRQs 4 5 7 *10 11 15)
Jun 22 13:34:16 janus kernel: [ 0.197709] ACPI: PCI Interrupt Link 
[IN28] (IRQs 4 5 7 10 11 *15)
Jun 22 13:34:16 janus kernel: [ 0.197903] ACPI: PCI Interrupt Link 
[IN29] (IRQs 4 5 7 *10 11 15)
Jun 22 13:34:16 janus kernel: [ 0.198097] ACPI: PCI Interrupt Link 
[IN30] (IRQs 4 *5 7 10 11 15)
Jun 22 13:34:16 janus kernel: [ 0.198291] ACPI: PCI Interrupt Link 
[IN31] (IRQs 4 5 7 10 *11 15)
Jun 22 13:34:16 janus kernel: [ 0.198499] vgaarb: device added: 
PCI:0000:00:03.0,decodes=io+mem,owns=io+mem,locks=none
Jun 22 13:34:16 janus kernel: [ 0.198514] vgaarb: loaded
Jun 22 13:34:16 janus kernel: [ 0.198606] PCI: Using ACPI for IRQ routing
Jun 22 13:34:16 janus kernel: [ 0.198606] Switching to clocksource tsc
Jun 22 13:34:16 janus kernel: [ 0.198606] pnp: PnP ACPI init
Jun 22 13:34:16 janus kernel: [ 0.198606] ACPI: bus type pnp registered
Jun 22 13:34:16 janus kernel: [ 0.202462] pnp: PnP ACPI: found 11 devices
Jun 22 13:34:16 janus kernel: [ 0.202467] ACPI: ACPI bus type pnp 
unregistered
Jun 22 13:34:16 janus kernel: [ 0.202474] PnPBIOS: Disabled by ACPI PNP
Jun 22 13:34:16 janus kernel: [ 0.202497] system 00:01: ioport range 
0xf50-0xf58 has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202504] system 00:01: ioport range 
0x408-0x40f has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202509] system 00:01: ioport range 
0x900-0x903 has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202515] system 00:01: ioport range 
0x910-0x911 has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202520] system 00:01: ioport range 
0x920-0x923 has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202526] system 00:01: ioport range 
0x930-0x937 has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202531] system 00:01: ioport range 
0x940-0x947 has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202537] system 00:01: ioport range 
0x950-0x957 has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202542] system 00:01: ioport range 
0xc06-0xc08 has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202548] system 00:01: ioport range 
0xc14-0xc14 has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202553] system 00:01: ioport range 
0xc49-0xc4a has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202559] system 00:01: ioport range 
0xc50-0xc52 has been reserved
Jun 22 13:34:16 janus kernel: [ 0.202564] system 00:01: ioport range 
0xc6c-0xc6f has been reserved
Jun 22 13:34:16 janus kernel: [ 0.237710] NET: Registered protocol family 2
Jun 22 13:34:16 janus kernel: [ 0.237899] IP route cache hash table 
entries: 4096 (order: 2, 16384 bytes)
Jun 22 13:34:16 janus kernel: [ 0.238459] TCP established hash table 
entries: 16384 (order: 5, 131072 bytes)
Jun 22 13:34:16 janus kernel: [ 0.238700] TCP bind hash table entries: 
16384 (order: 5, 131072 bytes)
Jun 22 13:34:16 janus kernel: [ 0.238942] TCP: Hash tables configured 
(established 16384 bind 16384)
Jun 22 13:34:16 janus kernel: [ 0.238947] TCP reno registered
Jun 22 13:34:16 janus kernel: [ 0.239155] NET: Registered protocol family 1
Jun 22 13:34:16 janus kernel: [ 0.239607] ACPI: PCI Interrupt Link 
[IUSB] enabled at IRQ 11
Jun 22 13:34:16 janus kernel: [ 0.239629] pci 0000:00:0f.2: PCI INT A -> 
Link[IUSB] -> GSI 11 (level, low) -> IRQ 11
Jun 22 13:34:16 janus kernel: [ 0.252775] pci 0000:00:0f.2: PCI INT A 
disabled
Jun 22 13:34:16 janus kernel: [ 0.252903] Unpacking initramfs...
Jun 22 13:34:16 janus kernel: [ 0.665012] Freeing initrd memory: 8596k freed
Jun 22 13:34:16 janus kernel: [ 0.686281] platform rtc_cmos: registered 
platform RTC device (no PNP device found)
Jun 22 13:34:16 janus kernel: [ 0.686617] audit: initializing netlink 
socket (disabled)
Jun 22 13:34:16 janus kernel: [ 0.686661] type=2000 
audit(1340364835.684:1): initialized
Jun 22 13:34:16 janus kernel: [ 0.694137] HugeTLB registered 4 MB page 
size, pre-allocated 0 pages
Jun 22 13:34:16 janus kernel: [ 0.697390] VFS: Disk quotas dquot_6.5.2
Jun 22 13:34:16 janus kernel: [ 0.697501] Dquot-cache hash table 
entries: 1024 (order 0, 4096 bytes)
Jun 22 13:34:16 janus kernel: [ 0.697664] msgmni has been set to 1004
Jun 22 13:34:16 janus kernel: [ 0.698137] alg: No test for stdrng (krng)
Jun 22 13:34:16 janus kernel: [ 0.698190] Block layer SCSI generic (bsg) 
driver version 0.4 loaded (major 253)
Jun 22 13:34:16 janus kernel: [ 0.698196] io scheduler noop registered
Jun 22 13:34:16 janus kernel: [ 0.698200] io scheduler anticipatory 
registered
Jun 22 13:34:16 janus kernel: [ 0.698203] io scheduler deadline registered
Jun 22 13:34:16 janus kernel: [ 0.698279] io scheduler cfq registered 
(default)
Jun 22 13:34:16 janus kernel: [ 0.698569] isapnp: Scanning for PnP cards...
Jun 22 13:34:16 janus kernel: [ 1.008446] isapnp: No Plug & Play device 
found
Jun 22 13:34:16 janus kernel: [ 1.011228] Linux agpgart interface v0.103
Jun 22 13:34:16 janus kernel: [ 1.018470] agpgart-serverworks 
0000:00:00.0: agp_backend_initialize() failed
Jun 22 13:34:16 janus kernel: [ 1.018481] agpgart-serverworks: probe of 
0000:00:00.0 failed with error -22
Jun 22 13:34:16 janus kernel: [ 1.025521] agpgart-serverworks 
0000:00:00.1: agp_backend_initialize() failed
Jun 22 13:34:16 janus kernel: [ 1.025529] agpgart-serverworks: probe of 
0000:00:00.1 failed with error -22
Jun 22 13:34:16 janus kernel: [ 1.045534] Serial: 8250/16550 driver, 4 
ports, IRQ sharing enabled
Jun 22 13:34:16 janus kernel: [ 1.045662] serial8250: ttyS0 at I/O 0x3f8 
(irq = 4) is a 16550A
Jun 22 13:34:16 janus kernel: [ 1.046168] 00:07: ttyS0 at I/O 0x3f8 (irq 
= 4) is a 16550A
Jun 22 13:34:16 janus kernel: [ 1.046452] PNP: PS/2 Controller 
[PNP0303:KBD,PNP0f0e:PS2M] at 0x60,0x64 irq 1,12
Jun 22 13:34:16 janus kernel: [ 1.048092] serio: i8042 KBD port at 
0x60,0x64 irq 1
Jun 22 13:34:16 janus kernel: [ 1.048104] serio: i8042 AUX port at 
0x60,0x64 irq 12
Jun 22 13:34:16 janus kernel: [ 1.048291] mice: PS/2 mouse device common 
for all mice
Jun 22 13:34:16 janus kernel: [ 1.048403] rtc_cmos rtc_cmos: RTC can 
wake from S4
Jun 22 13:34:16 janus kernel: [ 1.048474] rtc_cmos rtc_cmos: rtc core: 
registered rtc_cmos as rtc0
Jun 22 13:34:16 janus kernel: [ 1.048509] rtc0: alarms up to one year, 
y3k, 114 bytes nvram
Jun 22 13:34:16 janus kernel: [ 1.048526] cpuidle: using governor ladder
Jun 22 13:34:16 janus kernel: [ 1.048530] cpuidle: using governor menu
Jun 22 13:34:16 janus kernel: [ 1.048540] No iBFT detected.
Jun 22 13:34:16 janus kernel: [ 1.049323] TCP cubic registered
Jun 22 13:34:16 janus kernel: [ 1.049624] NET: Registered protocol family 10
Jun 22 13:34:16 janus kernel: [ 1.051254] Mobile IPv6
Jun 22 13:34:16 janus kernel: [ 1.051262] NET: Registered protocol family 17
Jun 22 13:34:16 janus kernel: [ 1.051299] Using IPI No-Shortcut mode
Jun 22 13:34:16 janus kernel: [ 1.051483] registered taskstats version 1
Jun 22 13:34:16 janus kernel: [ 1.051898] rtc_cmos rtc_cmos: setting 
system clock to 2012-06-22 11:33:57 UTC (1340364837)
Jun 22 13:34:16 janus kernel: [ 1.051984] Initalizing network drop 
monitor service
Jun 22 13:34:16 janus kernel: [ 1.052039] Freeing unused kernel memory: 
380k freed
Jun 22 13:34:16 janus kernel: [ 1.052731] Write protecting the kernel 
text: 2508k
Jun 22 13:34:16 janus kernel: [ 1.052776] Write protecting the kernel 
read-only data: 920k
Jun 22 13:34:16 janus kernel: [ 1.083485] udev[56]: starting version 164
Jun 22 13:34:16 janus kernel: [ 1.105393] input: AT Translated Set 2 
keyboard as /devices/platform/i8042/serio0/input/input0
Jun 22 13:34:16 janus kernel: [ 1.253165] usbcore: registered new 
interface driver usbfs
Jun 22 13:34:16 janus kernel: [ 1.253257] usbcore: registered new 
interface driver hub
Jun 22 13:34:16 janus kernel: [ 1.254116] usbcore: registered new device 
driver usb
Jun 22 13:34:16 janus kernel: [ 1.310191] SCSI subsystem initialized
Jun 22 13:34:16 janus kernel: [ 1.320892] Intel(R) PRO/1000 Network 
Driver - version 7.3.21-k5-NAPI
Jun 22 13:34:16 janus kernel: [ 1.320903] Copyright (c) 1999-2006 Intel 
Corporation.
Jun 22 13:34:16 janus kernel: [ 1.320985] e1000 0000:07:05.0: PCI INT A 
-> GSI 28 (level, low) -> IRQ 28
Jun 22 13:34:16 janus kernel: [ 1.325263] Floppy drive(s): fd0 is 1.44M
Jun 22 13:34:16 janus kernel: [ 1.332549] ehci_hcd: USB 2.0 'Enhanced' 
Host Controller (EHCI) Driver
Jun 22 13:34:16 janus kernel: [ 1.391757] thermal LNXTHERM:01: 
registered as thermal_zone0
Jun 22 13:34:16 janus kernel: [ 1.391774] ACPI: Thermal Zone [THM0] (8 C)
Jun 22 13:34:16 janus kernel: [ 1.402899] HP CISS Driver (v 3.6.20)
Jun 22 13:34:16 janus kernel: [ 1.403207] cciss 0000:01:04.0: PCI INT A 
-> GSI 31 (level, low) -> IRQ 31
Jun 22 13:34:16 janus kernel: [ 1.413621] ohci_hcd: USB 1.1 'Open' Host 
Controller (OHCI) Driver
Jun 22 13:34:16 janus kernel: [ 1.413660] scsi0 : pata_serverworks
Jun 22 13:34:16 janus kernel: [ 1.413860] scsi1 : pata_serverworks
Jun 22 13:34:16 janus kernel: [ 1.413925] ata1: PATA max UDMA/100 cmd 
0x1f0 ctl 0x3f6 bmdma 0x2000 irq 14
Jun 22 13:34:16 janus kernel: [ 1.413931] ata2: PATA max UDMA/100 cmd 
0x170 ctl 0x376 bmdma 0x2008 irq 15
Jun 22 13:34:16 janus kernel: [ 1.414033] ohci_hcd 0000:00:0f.2: PCI INT 
A -> Link[IUSB] -> GSI 11 (level, low) -> IRQ 11
Jun 22 13:34:16 janus kernel: [ 1.414070] ohci_hcd 0000:00:0f.2: OHCI 
Host Controller
Jun 22 13:34:16 janus kernel: [ 1.414120] ohci_hcd 0000:00:0f.2: new USB 
bus registered, assigned bus number 1
Jun 22 13:34:16 janus kernel: [ 1.414156] ohci_hcd 0000:00:0f.2: irq 11, 
io mem 0xf5ef0000
Jun 22 13:34:16 janus kernel: [ 1.436100] IRQ 31/cciss0: IRQF_DISABLED 
is not guaranteed on shared IRQs
Jun 22 13:34:16 janus kernel: [ 1.436138] cciss0: <0xb178> at PCI 
0000:01:04.0 IRQ 31 using DAC
Jun 22 13:34:16 janus kernel: [ 1.439986] cciss/c0d0: p1 p2 < p5 p6 p7 
p8 p9 >
Jun 22 13:34:16 janus kernel: [ 1.463143] tg3.c:v3.116 (December 3, 2010)
Jun 22 13:34:16 janus kernel: [ 1.463182] tg3 0000:01:05.0: PCI INT A -> 
GSI 30 (level, low) -> IRQ 30
Jun 22 13:34:16 janus kernel: [ 1.470066] usb usb1: New USB device 
found, idVendor=1d6b, idProduct=0001
Jun 22 13:34:16 janus kernel: [ 1.470073] usb usb1: New USB device 
strings: Mfr=3, Product=2, SerialNumber=1
Jun 22 13:34:16 janus kernel: [ 1.470078] usb usb1: Product: OHCI Host 
Controller
Jun 22 13:34:16 janus kernel: [ 1.470082] usb usb1: Manufacturer: Linux 
2.6.32-5-686 ohci_hcd
Jun 22 13:34:16 janus kernel: [ 1.470086] usb usb1: SerialNumber: 
0000:00:0f.2
Jun 22 13:34:16 janus kernel: [ 1.471234] usb usb1: configuration #1 
chosen from 1 choice
Jun 22 13:34:16 janus kernel: [ 1.471355] hub 1-0:1.0: USB hub found
Jun 22 13:34:16 janus kernel: [ 1.471379] hub 1-0:1.0: 4 ports detected
Jun 22 13:34:16 janus kernel: [ 1.576281] ata1.00: ATAPI: CRN-8245B, 
2.19, max MWDMA2
Jun 22 13:34:16 janus kernel: [ 1.592292] ata1.00: configured for MWDMA2
Jun 22 13:34:16 janus kernel: [ 1.593375] e1000: 0000:07:05.0: 
e1000_probe: (PCI:66MHz:64-bit) 00:1b:21:8c:57:f4
Jun 22 13:34:16 janus kernel: [ 1.594013] FDC 0 is a National 
Semiconductor PC87306
Jun 22 13:34:16 janus kernel: [ 1.594161] scsi 0:0:0:0: CD-ROM COMPAQ 
CRN-8245B 2.19 PQ: 0 ANSI: 5
Jun 22 13:34:16 janus kernel: [ 1.631123] e1000: eth0: e1000_probe: 
Intel(R) PRO/1000 Network Connection
Jun 22 13:34:16 janus kernel: [ 1.631193] e1000 0000:07:05.1: PCI INT B 
-> GSI 27 (level, low) -> IRQ 27
Jun 22 13:34:16 janus kernel: [ 1.794319] sr0: scsi3-mmc drive: 24x/24x 
cd/rw xa/form2 cdda tray
Jun 22 13:34:16 janus kernel: [ 1.794327] Uniform CD-ROM driver 
Revision: 3.20
Jun 22 13:34:16 janus kernel: [ 1.812029] sr 0:0:0:0: Attached scsi 
generic sg0 type 5
Jun 22 13:34:16 janus kernel: [ 1.900574] e1000: 0000:07:05.1: 
e1000_probe: (PCI:66MHz:64-bit) 00:1b:21:8c:57:f5
Jun 22 13:34:16 janus kernel: [ 1.939379] e1000: eth1: e1000_probe: 
Intel(R) PRO/1000 Network Connection
Jun 22 13:34:16 janus kernel: [ 2.794385] tg3 0000:01:05.0: eth2: Tigon3 
[partno(233615-001) rev 0105] (PCI:66MHz:64-bit) MAC address 
00:08:02:a3:d5:6b
Jun 22 13:34:16 janus kernel: [ 2.794394] tg3 0000:01:05.0: eth2: 
attached PHY is 5701 (10/100/1000Base-T Ethernet) (WireSpeed[1])
Jun 22 13:34:16 janus kernel: [ 2.794401] tg3 0000:01:05.0: eth2: 
RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[0]
Jun 22 13:34:16 janus kernel: [ 2.794406] tg3 0000:01:05.0: eth2: 
dma_rwctrl[76ff000f] dma_mask[64-bit]
Jun 22 13:34:16 janus kernel: [ 2.794453] tg3 0000:01:06.0: PCI INT A -> 
GSI 29 (level, low) -> IRQ 29
Jun 22 13:34:16 janus kernel: [ 4.121865] tg3 0000:01:06.0: eth3: Tigon3 
[partno(233615-001) rev 0105] (PCI:66MHz:64-bit) MAC address 
00:08:02:a3:d5:65
Jun 22 13:34:16 janus kernel: [ 4.121872] tg3 0000:01:06.0: eth3: 
attached PHY is 5701 (10/100/1000Base-T Ethernet) (WireSpeed[1])
Jun 22 13:34:16 janus kernel: [ 4.121878] tg3 0000:01:06.0: eth3: 
RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[0]
Jun 22 13:34:16 janus kernel: [ 4.121883] tg3 0000:01:06.0: eth3: 
dma_rwctrl[76ff000f] dma_mask[64-bit]
Jun 22 13:34:16 janus kernel: [ 4.275768] PM: Starting manual resume 
from disk
Jun 22 13:34:16 janus kernel: [ 4.331901] kjournald starting. Commit 
interval 5 seconds
Jun 22 13:34:16 janus kernel: [ 4.331924] EXT3-fs: mounted filesystem 
with ordered data mode.
Jun 22 13:34:16 janus kernel: [ 5.450141] udev[265]: starting version 164
Jun 22 13:34:16 janus kernel: [ 5.703737] hpilo 0000:00:05.2: PCI INT B 
-> GSI 22 (level, low) -> IRQ 22
Jun 22 13:34:16 janus kernel: [ 5.749589] processor LNXCPU:00: 
registered as cooling_device0
Jun 22 13:34:16 janus kernel: [ 5.749733] processor LNXCPU:03: 
registered as cooling_device1
Jun 22 13:34:16 janus kernel: [ 5.754680] input: Power Button as 
/devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
Jun 22 13:34:16 janus kernel: [ 5.754695] ACPI: Power Button [PWRF]
Jun 22 13:34:16 janus kernel: [ 5.755073] input: PC Speaker as 
/devices/platform/pcspkr/input/input2
Jun 22 13:34:16 janus kernel: [ 5.757044] hpwdt 0000:00:05.0: This 
server does not have an iLO2 ASIC.
Jun 22 13:34:16 janus kernel: [ 6.305176] piix4_smbus 0000:00:0f.0: 
SMBus Host Controller at 0x700, revision 0
Jun 22 13:34:16 janus kernel: [ 6.797465] Adding 1004536k swap on 
/dev/cciss/c0d0p7. Priority:-1 extents:1 across:1004536k
Jun 22 13:34:16 janus kernel: [ 6.860440] input: ImExPS/2 Generic 
Explorer Mouse as /devices/platform/i8042/serio1/input/input3
Jun 22 13:34:16 janus kernel: [ 7.213329] EXT3 FS on cciss/c0d0p1, 
internal journal
Jun 22 13:34:16 janus kernel: [ 7.304062] loop: module loaded
Jun 22 13:34:16 janus kernel: [ 8.907805] kjournald starting. Commit 
interval 5 seconds
Jun 22 13:34:16 janus kernel: [ 8.918085] EXT3 FS on cciss/c0d0p9, 
internal journal
Jun 22 13:34:16 janus kernel: [ 8.918094] EXT3-fs: mounted filesystem 
with ordered data mode.
Jun 22 13:34:16 janus kernel: [ 8.934561] kjournald starting. Commit 
interval 5 seconds
Jun 22 13:34:16 janus kernel: [ 8.942665] EXT3 FS on cciss/c0d0p8, 
internal journal
Jun 22 13:34:16 janus kernel: [ 8.942673] EXT3-fs: mounted filesystem 
with ordered data mode.
Jun 22 13:34:16 janus kernel: [ 8.992329] kjournald starting. Commit 
interval 5 seconds
Jun 22 13:34:16 janus kernel: [ 9.004307] EXT3 FS on cciss/c0d0p5, 
internal journal
Jun 22 13:34:16 janus kernel: [ 9.004315] EXT3-fs: mounted filesystem 
with ordered data mode.
Jun 22 13:34:16 janus kernel: [ 9.039192] kjournald starting. Commit 
interval 5 seconds
Jun 22 13:34:16 janus kernel: [ 9.051437] EXT3 FS on cciss/c0d0p6, 
internal journal
Jun 22 13:34:16 janus kernel: [ 9.051444] EXT3-fs: mounted filesystem 
with ordered data mode.
Jun 22 13:34:16 janus kernel: [ 9.658636] ADDRCONF(NETDEV_UP): eth0: 
link is not ready
Jun 22 13:34:16 janus kernel: [ 9.660921] e1000: eth0 NIC Link is Up 
1000 Mbps Full Duplex, Flow Control: RX/TX
Jun 22 13:34:16 janus kernel: [ 9.661108] ADDRCONF(NETDEV_CHANGE): eth0: 
link becomes ready
Jun 22 13:34:16 janus kernel: [ 10.287918] ADDRCONF(NETDEV_UP): eth3: 
link is not ready
Jun 22 13:34:16 janus kernel: [ 10.735822] ADDRCONF(NETDEV_UP): eth2: 
link is not ready
Jun 22 13:34:16 janus kernel: [ 12.676157] tg3 0000:01:06.0: eth3: Link 
is up at 1000 Mbps, full duplex
Jun 22 13:34:16 janus kernel: [ 12.676165] tg3 0000:01:06.0: eth3: Flow 
control is off for TX and off for RX
Jun 22 13:34:16 janus kernel: [ 12.676251] ADDRCONF(NETDEV_CHANGE): 
eth3: link becomes ready
Jun 22 13:34:16 janus kernel: [ 13.119762] tg3 0000:01:05.0: eth2: Link 
is up at 1000 Mbps, full duplex
Jun 22 13:34:16 janus kernel: [ 13.119770] tg3 0000:01:05.0: eth2: Flow 
control is off for TX and off for RX
Jun 22 13:34:16 janus kernel: [ 13.119860] ADDRCONF(NETDEV_CHANGE): 
eth2: link becomes ready
Jun 22 13:34:16 janus kernel: [ 16.446046] nf_conntrack version 0.5.0 
(8039 buckets, 32156 max)
Jun 22 13:34:16 janus kernel: [ 16.446609] CONFIG_NF_CT_ACCT is 
deprecated and will be removed soon. Please use
Jun 22 13:34:16 janus kernel: [ 16.446613] nf_conntrack.acct=1 kernel 
parameter, acct=1 nf_conntrack module option or
Jun 22 13:34:16 janus kernel: [ 16.446617] sysctl 
net.netfilter.nf_conntrack_acct=1 to enable it.
Jun 22 13:34:16 janus kernel: [ 16.634227] ip_tables: (C) 2000-2006 
Netfilter Core Team
Jun 22 13:34:16 janus kernel: [ 17.332299] IPv6 over IPv4 tunneling driver
Jun 22 13:34:16 janus kernel: [ 17.364423] tun: Universal TUN/TAP device 
driver, 1.6
Jun 22 13:34:16 janus kernel: [ 17.364429] tun: (C) 1999-2004 Max 
Krasnyansky <maxk@qualcomm.com>


"reportbug --template linux-image-$(uname -r)" output, with some IP info 
edited out:


-- Package-specific info:
** Version:
Linux version 2.6.32-5-686 (Debian 2.6.32-45) (dannf@debian.org) (gcc 
version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Sun May 6 04:01:19 UTC 2012

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686 
root=UUID=232b4f18-d38b-4d57-ac80-b17d449b52fd ro console=tty0 
console=ttyS0,115200n8 quiet

** Not tainted

** Kernel log:
[ 5.749589] processor LNXCPU:00: registered as cooling_device0
[ 5.749733] processor LNXCPU:03: registered as cooling_device1
[ 5.754680] input: Power Button as 
/devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
[ 5.754695] ACPI: Power Button [PWRF]
[ 5.755073] input: PC Speaker as /devices/platform/pcspkr/input/input2
[ 5.757044] hpwdt 0000:00:05.0: This server does not have an iLO2 ASIC.
[ 6.305176] piix4_smbus 0000:00:0f.0: SMBus Host Controller at 0x700, 
revision 0
[ 6.407816] Error: Driver 'pcspkr' is already registered, aborting...
[ 6.797465] Adding 1004536k swap on /dev/cciss/c0d0p7. Priority:-1 
extents:1 across:1004536k
[ 6.860440] input: ImExPS/2 Generic Explorer Mouse as 
/devices/platform/i8042/serio1/input/input3
[ 7.213329] EXT3 FS on cciss/c0d0p1, internal journal
[ 7.304062] loop: module loaded
[ 8.907805] kjournald starting. Commit interval 5 seconds
[ 8.918085] EXT3 FS on cciss/c0d0p9, internal journal
[ 8.918094] EXT3-fs: mounted filesystem with ordered data mode.
[ 8.934561] kjournald starting. Commit interval 5 seconds
[ 8.942665] EXT3 FS on cciss/c0d0p8, internal journal
[ 8.942673] EXT3-fs: mounted filesystem with ordered data mode.
[ 8.992329] kjournald starting. Commit interval 5 seconds
[ 9.004307] EXT3 FS on cciss/c0d0p5, internal journal
[ 9.004315] EXT3-fs: mounted filesystem with ordered data mode.
[ 9.039192] kjournald starting. Commit interval 5 seconds
[ 9.051437] EXT3 FS on cciss/c0d0p6, internal journal
[ 9.051444] EXT3-fs: mounted filesystem with ordered data mode.
[ 9.658636] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 9.660921] e1000: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow 
Control: RX/TX
[ 9.661108] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 10.287918] ADDRCONF(NETDEV_UP): eth3: link is not ready
[ 10.735822] ADDRCONF(NETDEV_UP): eth2: link is not ready
[ 12.676157] tg3 0000:01:06.0: eth3: Link is up at 1000 Mbps, full duplex
[ 12.676165] tg3 0000:01:06.0: eth3: Flow control is off for TX and off 
for RX
[ 12.676251] ADDRCONF(NETDEV_CHANGE): eth3: link becomes ready
[ 13.119762] tg3 0000:01:05.0: eth2: Link is up at 1000 Mbps, full duplex
[ 13.119770] tg3 0000:01:05.0: eth2: Flow control is off for TX and off 
for RX
[ 13.119860] ADDRCONF(NETDEV_CHANGE): eth2: link becomes ready
[ 16.446046] nf_conntrack version 0.5.0 (8039 buckets, 32156 max)
[ 16.446609] CONFIG_NF_CT_ACCT is deprecated and will be removed soon. 
Please use
[ 16.446613] nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack 
module option or
[ 16.446617] sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
[ 16.634227] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 17.332299] IPv6 over IPv4 tunneling driver
[ 17.364423] tun: Universal TUN/TAP device driver, 1.6
[ 17.364429] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[ 3137.114804] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[38482.762598] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[45383.861714] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[51264.781788] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[62666.546263] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[72868.144213] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[85950.227662] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[93631.420607] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[106233.400178] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[119195.426563] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[136538.106552] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[138998.479512] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[164862.363084] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[188746.109007] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[225351.883077] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[287041.437656] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[307324.574357] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[315245.768308] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[355992.005449] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[364753.344070] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[382816.107147] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[423682.275361] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[458187.499405] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[497193.406692] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[515736.266609] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[561823.427721] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[571244.878117] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[599509.171128] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[613251.266931] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[643676.084087] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[732189.964131] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[751901.988231] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[755678.560873] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[770135.770454] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[788959.751674] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[800407.595984] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[836875.280657] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[889688.553336] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[948343.874026] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[964630.409959] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[992659.983705] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1052908.408790] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1069844.132224] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1099053.741827] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1174880.700207] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1175529.801165] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1207453.807917] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1216777.313379] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1247639.380006] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1267466.527524] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1293843.745542] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1302459.178058] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1306058.777691] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1323525.612843] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1355862.802459] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1375749.005546] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]
[1377814.338478] ICMPv6 checksum failed 
[aaaa:bbbb:cccc:dddd:0000:0000:0000:0001 > 
aaaa:bbbb:cccc:dddd:0000:0000:0000:0002]

** Model information
not available

** Loaded modules:
Module Size Used by
tun 8772 2
sit 6848 0
tunnel4 1469 1 sit
xt_recent 4885 4
xt_state 927 7
ipt_REDIRECT 803 1
xt_tcpudp 1743 82
iptable_nat 3551 1
iptable_filter 1790 1
ip_tables 7706 2 iptable_nat,iptable_filter
x_tables 8327 6 
xt_recent,xt_state,ipt_REDIRECT,xt_tcpudp,iptable_nat,ip_tables
nf_nat_ftp 1519 0
nf_nat 10568 3 ipt_REDIRECT,iptable_nat,nf_nat_ftp
nf_conntrack_ipv4 7597 10 iptable_nat,nf_nat
nf_defrag_ipv4 779 1 nf_conntrack_ipv4
nf_conntrack_ftp 4272 1 nf_nat_ftp
nf_conntrack 38075 6 
xt_state,iptable_nat,nf_nat_ftp,nf_nat,nf_conntrack_ipv4,nf_conntrack_ftp
loop 9769 0
snd_pcm 47222 0
snd_timer 12270 1 snd_pcm
snd 34415 2 snd_pcm,snd_timer
i2c_piix4 7076 0
psmouse 44837 0
soundcore 3450 1 snd
snd_page_alloc 5045 1 snd_pcm
i2c_core 12787 1 i2c_piix4
evdev 5609 2
serio_raw 2916 0
container 1833 0
hpwdt 4331 0
pcspkr 1207 0
button 3598 0
processor 26327 0
hpilo 5252 0
ext3 94396 5
jbd 32401 1 ext3
mbcache 3762 1 ext3
sg 19937 0
sr_mod 10770 0
cdrom 26435 1 sr_mod
ata_generic 2247 0
pata_serverworks 3969 0
ohci_hcd 16999 0
tg3 95865 0
cciss 76751 7
thermal 9206 0
libata 115869 2 ata_generic,pata_serverworks
ehci_hcd 28689 0
floppy 40923 0
e1000 77317 0
libphy 11638 1 tg3
thermal_sys 9378 2 processor,thermal
scsi_mod 105001 4 sg,sr_mod,cciss,libata
usbcore 99321 3 ohci_hcd,ehci_hcd
nls_base 4541 1 usbcore

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# Interface to Hermes, no other
auto eth0
iface eth0 inet static
address [dmz]
netmask 255.255.255.0

# The interface connecting to the home network
allow-hotplug eth2
iface eth2 inet static
address [office network]
netmask 255.255.255.0

iface eth2 inet6 static
address [ipv6]
netmask 64
gateway [ipv6]
post-up /etc/network/set-ipv6-routes

#allow-hotplug eth3
auto eth3
iface eth3 inet dhcp
post-up /etc/network/rc.firewall
post-up /etc/network/start-tunnels


** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
inet 127.0.0.1/8 scope host lo
inet6 ::1/128 scope host
valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast 
state UP qlen 1000
link/ether 00:1b:21:8c:57:f4 brd ff:ff:ff:ff:ff:ff
inet [ipv4 dmz]/24 brd 192.168.0.255 scope global eth0
inet6 fe80::21b:21ff:fe8c:57f4/64 scope link
valid_lft forever preferred_lft forever
3: eth1: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
link/ether 00:1b:21:8c:57:f5 brd ff:ff:ff:ff:ff:ff
4: eth2: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP 
qlen 1000
link/ether 00:08:02:a3:d5:6b brd ff:ff:ff:ff:ff:ff
inet [ipv4 office]/24 brd 192.168.1.255 scope global eth2
inet6 [ipv6]/64 scope global
valid_lft forever preferred_lft forever
inet6 fe80::208:2ff:fea3:d56b/64 scope link
valid_lft forever preferred_lft forever
5: eth3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP 
qlen 1000
link/ether 00:08:02:a3:d5:65 brd ff:ff:ff:ff:ff:ff
inet [DHCP from ISP]/23 brd 255.255.255.255 scope global eth3
inet6 fe80::208:2ff:fea3:d565/64 scope link
valid_lft forever preferred_lft forever
6: sit0: <NOARP> mtu 1480 qdisc noop state DOWN
link/sit 0.0.0.0 brd 0.0.0.0
7: tun0: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1500 qdisc 
pfifo_fast state UNKNOWN qlen 100
link/none
inet 192.168.103.1 peer 192.168.103.2/32 scope global tun0
8: sixxs: <POINTOPOINT,NOARP,UP,LOWER_UP> mtu 1280 qdisc noqueue state 
UNKNOWN
link/sit 94.214.97.10 peer 192.87.102.107
inet6 [$IPv6 from SIXX] scope global
valid_lft forever preferred_lft forever
inet6 fe80::c0a8:6701/64 scope link
valid_lft forever preferred_lft forever
inet6 fe80::5ed6:610a/64 scope link
valid_lft forever preferred_lft forever
inet6 fe80::c0a8:11e/64 scope link
valid_lft forever preferred_lft forever
inet6 fe80::c0a8:1/64 scope link
valid_lft forever preferred_lft forever

*** Device statistics:
Inter-| Receive | Transmit
face |bytes packets errs drop fifo frame compressed multicast|bytes 
packets errs drop fifo colls carrier compressed
lo: 142564 506 0 0 0 0 0 0 142564 506 0 0 0 0 0 0
eth0:533056301 1871539 0 0 0 0 0 26 973191742 2070185 0 0 0 0 0 0
eth1: 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
eth2:3633638679 19522432 0 0 0 0 0 17063 3934793931 28603223 0 0 0 0 0 0
eth3:851632052 37810509 0 0 0 0 0 0 4289665319 19802228 0 0 0 0 0 0
sit0: 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
tun0:734507325 1475037 0 0 0 0 0 0 500461059 1329129 0 0 0 0 0 0
sixxs:4291191048 3763010 0 0 0 0 0 0 225773736 1629475 0 0 0 0 0 0

*** Protocol statistics:
Ip:
45278569 total packets received
1 with invalid headers
97 with invalid addresses
19509874 forwarded
0 incoming packets discarded
25398896 incoming packets delivered
41724221 requests sent out
5056 outgoing packets dropped
64 dropped because of missing route
50 fragments dropped after timeout
45541 reassemblies required
16347 packets reassembled ok
50 packet reassembles failed
1095 fragments received ok
2192 fragments created
Icmp:
40290 ICMP messages received
172 input ICMP message failed.
ICMP input histogram:
destination unreachable: 903
timeout in transit: 3
echo requests: 39353
echo replies: 31
52047 ICMP messages sent
0 ICMP messages failed
ICMP output histogram:
destination unreachable: 4348
time exceeded: 1
redirect: 8448
echo request: 31
echo replies: 39201
IcmpMsg:
InType0: 31
InType3: 903
InType8: 39353
InType11: 3
OutType0: 39201
OutType3: 4348
OutType5: 8448
OutType8: 31
OutType11: 1
OutType69: 18
Tcp:
272782 active connections openings
209846 passive connection openings
514 failed connection attempts
3482 connection resets received
18 connections established
19919855 segments received
18728657 segments send out
67709 segments retransmited
0 bad segments received.
22891 resets sent
Udp:
2252940 packets received
794 packets to unknown port received.
0 packet receive errors
2281108 packets sent
UdpLite:
TcpExt:
61 resets received for embryonic SYN_RECV sockets
820 packets pruned from receive queue because of socket buffer overrun
179151 TCP sockets finished time wait in fast timer
127 time wait sockets recycled by time stamp
1 packets rejects in established connections because of timestamp
301245 delayed acks sent
416 delayed acks further delayed because of locked socket
Quick ack mode was activated 16562 times
29288 packets directly queued to recvmsg prequeue.
2378444 bytes directly received in process context from prequeue
7527995 packet headers predicted
14 packets header predicted and directly queued to user
2827348 acknowledgments not containing data payload received
5058755 predicted acknowledgments
11586 times recovered from packet loss by selective acknowledgements
1 bad SACK blocks received
Detected reordering 80 times using FACK
Detected reordering 58 times using SACK
Detected reordering 3 times using time stamp
41 congestion windows fully recovered without slow start
21 congestion windows partially recovered using Hoe heuristic
3182 congestion windows recovered without slow start by DSACK
2338 congestion windows recovered without slow start after partial ack
8676 TCP data loss events
TCPLostRetransmit: 131
1 timeouts after reno fast retransmit
978 timeouts after SACK recovery
116 timeouts in loss state
25072 fast retransmits
1268 forward retransmits
10726 retransmits in slow start
22229 other TCP timeouts
545 SACK retransmits failed
239093 packets collapsed in receive queue due to low socket buffer
16006 DSACKs sent for old packets
12 DSACKs sent for out of order packets
14841 DSACKs received
7 DSACKs for out of order packets received
1614 connections reset due to unexpected data
58 connections reset due to early user close
1139 connections aborted due to timeout
TCPSACKDiscard: 7
TCPDSACKIgnoredOld: 10128
TCPDSACKIgnoredNoUndo: 608
TCPSpuriousRTOs: 205
TCPSackShifted: 51916
TCPSackMerged: 43780
TCPSackShiftFallback: 27555
IpExt:
InNoRoutes: 87
InMcastPkts: 11035
InBcastPkts: 469286
InOctets: -403223742
OutOctets: 1116786896
InMcastOctets: 308980
InBcastOctets: 93707960


** PCI devices:
00:00.0 Host bridge [0600]: Broadcom CNB20HE Host Bridge [1166:0008] 
(rev 23)
Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-

00:00.1 Host bridge [0600]: Broadcom CNB20HE Host Bridge [1166:0008] 
(rev 01)
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ >SERR- <PERR- INTx-
Latency: 64, Cache Line Size: 32 bytes

00:00.2 Host bridge [0600]: Broadcom CNB20HE Host Bridge [1166:0006] 
(rev 01)
Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ >SERR- <PERR- INTx-

00:00.3 Host bridge [0600]: Broadcom CNB20HE Host Bridge [1166:0006] 
(rev 01)
Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ >SERR- <PERR- INTx-

00:03.0 VGA compatible controller [0300]: ATI Technologies Inc Rage XL 
[1002:4752] (rev 27) (prog-if 00 [VGA controller])
Subsystem: Compaq Computer Corporation Proliant Rage XL [0e11:001e]
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping+ SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64 (2000ns min), Cache Line Size: 32 bytes
Interrupt: pin A routed to IRQ 7
Region 0: Memory at f6000000 (32-bit, non-prefetchable) [size=16M]
Region 1: I/O ports at 2400 [size=256]
Region 2: Memory at f5ff0000 (32-bit, non-prefetchable) [size=4K]
[virtual] Expansion ROM at 20000000 [disabled] [size=128K]
Capabilities: <access denied>

00:05.0 System peripheral [0880]: Compaq Computer Corporation Integrated 
Lights Out Controller [0e11:b203] (rev 01)
Subsystem: Compaq Computer Corporation Device [0e11:b206]
Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Interrupt: pin A routed to IRQ 3
Region 0: I/O ports at 1800 [size=256]
Region 1: Memory at f5fe0000 (32-bit, non-prefetchable) [size=512]
Capabilities: <access denied>

00:05.2 System peripheral [0880]: Compaq Computer Corporation Integrated 
Lights Out Processor [0e11:b204] (rev 01)
Subsystem: Compaq Computer Corporation Device [0e11:b206]
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- 
Stepping+ SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64, Cache Line Size: 32 bytes
Interrupt: pin B routed to IRQ 22
Region 0: I/O ports at 2800 [size=256]
Region 1: Memory at f5fd0000 (32-bit, non-prefetchable) [size=2K]
Region 2: Memory at f5fc0000 (32-bit, non-prefetchable) [size=8K]
Region 3: Memory at f5f00000 (32-bit, non-prefetchable) [size=512K]
[virtual] Expansion ROM at 20020000 [disabled] [size=64K]
Capabilities: <access denied>
Kernel driver in use: hpilo

00:0f.0 ISA bridge [0601]: Broadcom CSB5 South Bridge [1166:0201] (rev 92)
Subsystem: Broadcom CSB5 South Bridge [1166:0201]
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 32
Kernel driver in use: piix4_smbus

00:0f.1 IDE interface [0101]: Broadcom CSB5 IDE Controller [1166:0212] 
(rev 92) (prog-if 8a [Master SecP PriP])
Subsystem: Broadcom CSB5 IDE Controller [1166:0212]
Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64
Region 0: I/O ports at 01f0 [size=8]
Region 1: I/O ports at 03f4 [size=1]
Region 2: I/O ports at 0170 [size=8]
Region 3: I/O ports at 0374 [size=1]
Region 4: I/O ports at 2000 [size=16]
Region 5: I/O ports at 1000 [size=4]
Kernel driver in use: pata_serverworks

00:0f.2 USB Controller [0c03]: Broadcom OSB4/CSB5 OHCI USB Controller 
[1166:0220] (rev 05) (prog-if 10 [OHCI])
Subsystem: Broadcom OSB4/CSB5 OHCI USB Controller [1166:0220]
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64 (20000ns max), Cache Line Size: 32 bytes
Interrupt: pin A routed to IRQ 11
Region 0: Memory at f5ef0000 (32-bit, non-prefetchable) [size=4K]
Kernel driver in use: ohci_hcd

00:0f.3 Host bridge [0600]: Broadcom CSB5 LPC bridge [1166:0230]
Subsystem: Broadcom CSB5 LPC bridge [1166:0230]
Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0
Interrupt: pin A routed to IRQ 0

01:04.0 RAID bus controller [0104]: Compaq Computer Corporation Smart 
Array 5i/532 [0e11:b178] (rev 01)
Subsystem: Compaq Computer Corporation Smart Array 5i [0e11:4080]
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 71, Cache Line Size: 32 bytes
Interrupt: pin A routed to IRQ 31
Region 0: Memory at f7ec0000 (64-bit, non-prefetchable) [size=256K]
Region 2: I/O ports at 3000 [size=256]
Region 3: Memory at f7df0000 (64-bit, prefetchable) [size=16K]
[virtual] Expansion ROM at 20050000 [disabled] [size=16K]
Capabilities: <access denied>
Kernel driver in use: cciss

01:05.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme 
BCM5701 Gigabit Ethernet [14e4:1645] (rev 15)
Subsystem: Compaq Computer Corporation NC7780 Gigabit Server Adapter 
(embedded, WOL) [0e11:0085]
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64 (16000ns min), Cache Line Size: 32 bytes
Interrupt: pin A routed to IRQ 30
Region 0: Memory at f7eb0000 (64-bit, non-prefetchable) [size=64K]
[virtual] Expansion ROM at 20030000 [disabled] [size=64K]
Capabilities: <access denied>
Kernel driver in use: tg3

01:06.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme 
BCM5701 Gigabit Ethernet [14e4:1645] (rev 15)
Subsystem: Compaq Computer Corporation NC7780 Gigabit Server Adapter 
(embedded, WOL) [0e11:0085]
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64 (16000ns min), Cache Line Size: 32 bytes
Interrupt: pin A routed to IRQ 29
Region 0: Memory at f7ea0000 (64-bit, non-prefetchable) [size=64K]
[virtual] Expansion ROM at 20040000 [disabled] [size=64K]
Capabilities: <access denied>
Kernel driver in use: tg3

07:05.0 Ethernet controller [0200]: Intel Corporation 82546GB Gigabit 
Ethernet Controller [8086:1079] (rev 03)
Subsystem: Intel Corporation PRO/1000 MT Dual Port Server Adapter 
[8086:1179]
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64 (63750ns min), Cache Line Size: 32 bytes
Interrupt: pin A routed to IRQ 28
Region 0: Memory at f7fe0000 (64-bit, non-prefetchable) [size=128K]
Region 2: Memory at f7f80000 (64-bit, non-prefetchable) [size=256K]
Region 4: I/O ports at 4000 [size=64]
[virtual] Expansion ROM at 20080000 [disabled] [size=256K]
Capabilities: <access denied>
Kernel driver in use: e1000

07:05.1 Ethernet controller [0200]: Intel Corporation 82546GB Gigabit 
Ethernet Controller [8086:1079] (rev 03)
Subsystem: Intel Corporation PRO/1000 MT Dual Port Server Adapter 
[8086:1179]
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64 (63750ns min), Cache Line Size: 32 bytes
Interrupt: pin B routed to IRQ 27
Region 0: Memory at f7f60000 (64-bit, non-prefetchable) [size=128K]
Region 2: Memory at f7f00000 (64-bit, non-prefetchable) [size=256K]
Region 4: I/O ports at 4040 [size=64]
[virtual] Expansion ROM at 200c0000 [disabled] [size=256K]
Capabilities: <access denied>
Kernel driver in use: e1000


** USB devices:
not available


-- System Information:
Debian Release: 6.0.5
APT prefers stable-updates
APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-686 depends on:
ii debconf [debconf-2.0] 1.5.36.1 Debian configuration management sy
ii initramfs-tools [linux-initra 0.98.8 tools for generating an initramfs
ii linux-base 2.6.32-45 Linux image base package
ii module-init-tools 3.12-2+b1 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-686 recommends:
pn firmware-linux-free <none> (no description available)
ii libc6-i686 2.11.3-3 Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.32-5-686 suggests:
pn grub | lilo <none> (no description available)
pn linux-doc-2.6.32 <none> (no description available)

Versions of packages linux-image-2.6.32-5-686 is related to:
pn firmware-bnx2 <none> (no description available)
pn firmware-bnx2x <none> (no description available)
pn firmware-ipw2x00 <none> (no description available)
pn firmware-ivtv <none> (no description available)
pn firmware-iwlwifi <none> (no description available)
pn firmware-linux <none> (no description available)
ii firmware-linux-nonfree 0.28+squeeze1 Binary firmware for various driver
pn firmware-qlogic <none> (no description available)
pn firmware-ralink <none> (no description available)
pn xen-hypervisor <none> (no description available)

-- debconf information:
linux-image-2.6.32-5-686/prerm/removing-running-kernel-2.6.32-5-686: true
linux-image-2.6.32-5-686/postinst/depmod-error-initrd-2.6.32-5-686: false
linux-image-2.6.32-5-686/postinst/ignoring-do-bootloader-2.6.32-5-686:
linux-image-2.6.32-5-686/postinst/missing-firmware-2.6.32-5-686:


Cheers,


Rudy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#678519; Package src:linux-2.6. (Sat, 28 Jul 2012 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rudy Zijlstra <rudy@grumpydevil.homelinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Jul 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #89 received at 678519@bugs.debian.org (full text, mbox):

From: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Henrique de Moraes Holschuh <hmh@debian.org>, 678519@bugs.debian.org
Subject: Re: after about a month, routing gets wedged
Date: Sat, 28 Jul 2012 23:04:22 +0200
On 08-07-12 03:02, Jonathan Nieder wrote:
> Rudy Zijlstra wrote:
>
>> Still using it. Its my firewall. Sorry for missing the questions.
> Yes, sorry about the clutter in my message.
>
> [...]
>> 1/ always behaved this way
>> Not certain.
> [...]
>> 2/ how many times?
>> at least twice. Its well possible that earlier cases were  masked by
>> reboots from other reasons. And it has taken me some time before i
>> linked particular slow network behaviour to a firewall problem
>>
>> 3/ how stable is the 1 month gestation time?
>> no certainty on this one.
OK, problem is back. About 3 days more then 1 month.

IPv4 browsing is very slow, IPv6 routing is down. I can no longer ping6 
ipv6.google.com. It gets the AAAA record, but no responses. Not even 
when doing it on the firewall itself.

output on June 25:
== IPv6 ==
ip -f inet6 neigh show
2001:610:73e:0:f53f:5d0e:28cc:3479 dev eth2 lladdr f0:4d:a2:fa:5c:67 
REACHABLE
2001:610:73e:0:225:64ff:fea4:928e dev eth2 lladdr 00:25:64:a4:92:8e 
REACHABLE
2001:610:73e:0:d6be:d9ff:fe12:73f0 dev eth2 lladdr d4:be:d9:12:73:f0 
REACHABLE
2001:610:73e:0:206:5bff:fef7:45e5 dev eth2 lladdr 00:06:5b:f7:45:e5 
REACHABLE
fe80::208:2ff:fea3:d56b dev eth2 lladdr 00:08:02:a3:d5:6b router STALE
ip -f inet6 route list cache
2001:610:73e:0:206:5bff:fef7:45e5 via 2001:610:73e:0:206:5bff:fef7:45e5 
dev eth2  metric 0
    cache  mtu 1500 advmss 1440 hoplimit 0
2001:610:73e:0:225:64ff:fea4:928e via 2001:610:73e:0:225:64ff:fea4:928e 
dev eth2  metric 0
    cache  mtu 1500 advmss 1440 hoplimit 0
2001:610:73e:0:d6be:d9ff:fe12:73f0 via 
2001:610:73e:0:d6be:d9ff:fe12:73f0 dev eth2  metric 0
    cache  mtu 1500 advmss 1440 hoplimit 0
2001:610:73e:0:f53f:5d0e:28cc:3479 via 
2001:610:73e:0:f53f:5d0e:28cc:3479 dev eth2  metric 0
    cache  mtu 1500 advmss 1440 hoplimit 0


Current output:
# ip -f inet6 neigh show
2001:610:73e:0:21b:21ff:fe22:b647 dev eth2 lladdr 00:1b:21:22:b6:47 STALE
2001:610:73e::15 dev eth2 lladdr 00:25:64:a4:92:8e REACHABLE
fe80::208:2ff:fea3:d56b dev eth2 lladdr 00:08:02:a3:d5:6b router STALE
fe80::21b:21ff:fe22:b647 dev eth2 lladdr 00:1b:21:22:b6:47 DELAY
# ip -f inet6 route list cache
2001:610:73e::15 via 2001:610:73e::15 dev eth2  metric 0
    cache  mtu 1500 advmss 1440 hoplimit 0
2001:610:73e:0:21b:21ff:fe22:b647 via 2001:610:73e:0:21b:21ff:fe22:b647 
dev eth2  metric 0
    cache  mtu 1500 advmss 1440 hoplimit 0


"ip -f inet6 route flush" makes no difference. Neither flushing the 
neighbor cache

ifdown / ifup of the external ethernet port makes no difference

"rmmod tg3" removed both interfaces (so the driver does indeed handle 
those ports) followed by "modprobe tg3" made no difference either.

package firmware-linux-nonfree is current.

stopping aiccu, rmmod sit and tunnel4 and then reloading and restarting 
aiccu did solve it

Next time i will start with restarting aiccu, and not rmmoding the 
related modules

Cheers,


Rudy





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#678519; Package src:linux-2.6. (Sun, 29 Jul 2012 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 Jul 2012 02:45:03 GMT) Full text and rfc822 format available.

Message #94 received at 678519@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 678519@bugs.debian.org
Subject: Re: after about a month, routing gets wedged
Date: Sat, 28 Jul 2012 23:38:27 -0300
On Sat, 28 Jul 2012, Rudy Zijlstra wrote:
> stopping aiccu, rmmod sit and tunnel4 and then reloading and
> restarting aiccu did solve it
> 
> Next time i will start with restarting aiccu, and not rmmoding the
> related modules

Hmm, okay.  That should help narrow it down a lot.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#678519; Package src:linux-2.6. (Sat, 18 Aug 2012 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rudy Zijlstra <rudy@grumpydevil.homelinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Aug 2012 21:15:03 GMT) Full text and rfc822 format available.

Message #99 received at 678519@bugs.debian.org (full text, mbox):

From: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
To: 678519@bugs.debian.org
Subject: routig wedged after 1 month
Date: Sat, 18 Aug 2012 22:56:22 +0200
Dears,

I think i have solved it. Will know for certain in a bit more then a 
month though.

Apparently aiccu goes off the track when the system time is more then a 
certain amount of seconds off. At least with the clock off more then 145 
seconds it will refuse to start.
When the situation occurs while it is running, it apparently kills the 
IPv6 routing. As my network is dual-stack and a lot of workstations are 
indeed dual stack, this causes significant delay on any browsing, as it 
needs for IPv6 to time out.

I've now added an ntp server to the setup.

What bugs me is that a reboot would solve it. So apparently the hardware 
clock remains OK, and only the system time goes off.

Now if this behaviour were somewhere documented... Once you know what 
the problem is, you can find it.


cheers,


Rudy



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#678519; Package src:linux-2.6. (Sat, 18 Aug 2012 21:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Aug 2012 21:27:08 GMT) Full text and rfc822 format available.

Message #104 received at 678519@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Rudy Zijlstra <rudy@grumpydevil.homelinux.org>
Cc: 678519@bugs.debian.org, Henrique de Moraes Holschuh <hmh@debian.org>, aiccu@packages.debian.org
Subject: Re: routing wedged after 1 month
Date: Sat, 18 Aug 2012 14:23:31 -0700
tags 678519 - moreinfo
reassign 678519 aiccu 20070115-14
quit

Hi Rudy,

Rudy Zijlstra wrote:

> I think i have solved it. Will know for certain in a bit more then a
> month though.
>
> Apparently aiccu goes off the track when the system time is more
> then a certain amount of seconds off. At least with the clock off
> more then 145 seconds it will refuse to start.
> When the situation occurs while it is running, it apparently kills
> the IPv6 routing. As my network is dual-stack and a lot of
> workstations are indeed dual stack, this causes significant delay on
> any browsing, as it needs for IPv6 to time out.

Thanks!  I'm reassigning to aiccu in the hope that it can provide
better diagnostics (for example to syslog).  Thanks again for your
patience in tracking this down.

Hope that helps,
Jonathan

> I've now added an ntp server to the setup.
>
> What bugs me is that a reboot would solve it. So apparently the
> hardware clock remains OK, and only the system time goes off.



Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Aug 2012 21:27:11 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:linux-2.6' to 'aiccu'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Aug 2012 21:27:12 GMT) Full text and rfc822 format available.

No longer marked as found in versions linux-2.6/2.6.32-45. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Aug 2012 21:27:12 GMT) Full text and rfc822 format available.

Marked as found in versions aiccu/20070115-14. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Aug 2012 21:27:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Reinier Haasjes <reinier@haasjes.com>:
Bug#678519; Package aiccu. (Tue, 04 Sep 2012 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Massar <jeroen@unfix.org>:
Extra info received and forwarded to list. Copy sent to Reinier Haasjes <reinier@haasjes.com>. (Tue, 04 Sep 2012 12:45:03 GMT) Full text and rfc822 format available.

Message #117 received at 678519@bugs.debian.org (full text, mbox):

From: Jeroen Massar <jeroen@unfix.org>
To: 678519@bugs.debian.org
Subject: AICCU should depend on 'ntp'
Date: Tue, 04 Sep 2012 14:34:06 +0200
For both heartbeat and AYIYA tunnels a synchronized clock is a must.

As such, changing the "Recommends: ntpdate | ntp | time-daemon" into a
"Depends: ..." fixes the issue of clock-skew while running.

I am actually surprised that it is just a recommends.... should really
be a full dependency.


Note that as AICCU is not a time-keeping tool it will not set the time
based on external sources. This also as an adversary could replay
packets and thus would be able to slow time down that way or otherwise
impact it. There is no real solution to that it seems as NTP is
typically not crypted either.

Greets,
 Jeroen



Information forwarded to debian-bugs-dist@lists.debian.org, Reinier Haasjes <reinier@haasjes.com>:
Bug#678519; Package aiccu. (Wed, 05 Sep 2012 19:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Massar <jeroen@unfix.org>:
Extra info received and forwarded to list. Copy sent to Reinier Haasjes <reinier@haasjes.com>. (Wed, 05 Sep 2012 19:42:03 GMT) Full text and rfc822 format available.

Message #122 received at 678519@bugs.debian.org (full text, mbox):

From: Jeroen Massar <jeroen@unfix.org>
To: 678519@bugs.debian.org
Subject: Changing Recommands NTP to Depends NTP
Date: Wed, 05 Sep 2012 21:39:52 +0200
Just a FYI, in upstream aiccu(*) we changed the recommends into a depends.

The only problem with a depends like this is that when running AICCU
inside a VM that does not have it's own clock and thus where the clock
is managed by the "dom0"/host which might have ntp installed.

As such, we might want to have a way install a 'vm-synced-by-host'
package or something, thus a simple empty package that provides
time-daemon functionality but actually does nothing to satisfy
dependencies like this for software that requires accurate time (eg
openssl, pgp and various crypto tools) and come into this situation.

Greets,
 Jeroen


* = see http://www.sixxs.net/tools/aiccu/changelog for all the changes
that have already been made. We'll be releasing the next version after
proper testing of all changes have been made though which might take a
bit more depending on time available.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:21:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.